#!/usr/bin/env python3

import sys
import re

def parse_input():
    p = re.compile(r'undefined reference to `(.*(Py).*)\'')
    functions_to_implement = set()
    while True:
        try:
            m = p.search(input())
        except EOFError:
            break
        
        if m != None:
            functions_to_implement.update({m.group(1)})

    return functions_to_implement

def produce_code(parsed_input, file_name='fake_python.c'):
    f = open(file_name, "w")

    for function in parsed_input:
        f.write('void ' + function + '(){}\n')

    f.close()

if __name__ == '__main__':
    
    parsed_input = parse_input()
    produce_code(parsed_input)

